Help Center > > Developer Guide> SDK Usage Guide on the Application Side> Huawei IoT Platform Java SDK Usage Guide> Requirements for the Development Environment

Requirements for the Development Environment

Updated at: Jun 26, 2019 GMT+08:00

Requirements for the development environment

Development Platform

Development Environment

Mapping Requirements

Recommended OS

IoT

1. J2EE for Java Developers

2. Maven plug-in: m2e-Maven integration for Eclipse (includes incubating components)

JDK 1.8 or later

Windows 7

The SDK packages are pure Java JAR packages. They do not have any special limitations as long as the JDK version is 1.8 or later.

Did you find this page helpful?

Submit successfully!

Thank you for your feedback. Your feedback helps make our documentation better.

Failed to submit the feedback. Please try again later.

Which of the following issues have you encountered?







Please complete at least one feedback item.

Content most length 200 character

Content is empty.

OK Cancel